Bug 427126 - Rxvt does not unmaximize properly if moved since being maximized
Rxvt does not unmaximize properly if moved since being maximized
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rxvt (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-31 20:08 EST by Michael Chapman
Modified: 2009-01-09 02:33 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:33:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Chapman 2007-12-31 20:08:51 EST
Description of problem:

When a window in Metacity is maximized vertically or horizontally, it can be
slid across the window while remaining maximized. Also, a fully maximized window
can be moved -- it can be either dropped as an unmaximized window or returned
back to the maximized state.

When any of these actions occurs on an Rxvt window, it seems to "forget" what
its original window size was. This means when the window is unmaximized, it does
not return to its original size.

Closer examination shows that Rxvt is being returned to its original size by the
window manager, but then Rxvt is attempting to resize itself back to the
maximized size. It actually ends up very slightly smaller, since Rxvt's window
can only be incrementally resized in steps of one character at a time.

Version-Release number of selected component (if applicable):

rxvt-2.7.10-14.fc8

How reproducible:

Steps to Reproduce:
1. Set up a keyboard shortcut for "Maximize window vertically" (it doesn't
appear on Gnome's window menu)
2. On an Rxvt window, maximize it vertically, move it horizontally across the
desktop, then unmaximize it vertically

This can also be reproduced using "Maximize window horizontally" and sliding the
window vertically, or by using "Maximize window" and detaching and reattaching
the maximized window from the top of the desktop in one action.

Actual results:

After unmaximizing the window, the window returns to the maximized size.

Expected results:

It should return to the size it was before being maximized.

Additional info:

I do not think this is a window manager bug. I can see that Rxvt is shrunk back
to the "correct" size momentarily when unmaximized, but then it subsequently
expands back to the maximized size. Also, Rxvt is the only application where
I've encountered this bug.
Comment 1 Bug Zapper 2008-11-26 04:14:16 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 02:33:42 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.